# Class DnaAndQualitySequenceWithId

java.lang.Object
org.snpeff.binseq.BinarySequence
org.snpeff.binseq.DnaAndQualitySequence
org.snpeff.binseq.DnaAndQualitySequenceWithId

All Implemented Interfaces:
  `Serializable, Cloneable, Comparable<BinarySequence>`

public class DnaAndQualitySequenceWithId extends DnaAndQualitySequence
DnaAndQualitySequence with an ID

Author:
  pcingola
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DnaAndQualitySequenceWithId(String seqStr)`
`DnaAndQualitySequenceWithId(String seqStr, String qualityStr, org.biojava.nbio.genome.io.fastq.FastqVariant type)`

## Method Summary

Modifier and Type
Method
Description
`static DnaAndQualitySequenceWithId`
`empty()`
`long`
`getId()`
`protected void`
`readDataStream(DataInputStream dataInStream)`
Read data in binary format
`void`
`write(DataOutputStream dataOutStream)`
Write data in binary format

### Methods inherited from class DnaAndQualitySequence

`compareTo, getBase, getCode, getCoder, getCodes, getQuality, getQuality, getSequence, hashCode, indexOf, lastIndexOf, length, overlap, read, reverseWc, set, set, toString`

### Methods inherited from class BinarySequence

`clone, setQuality`

### Methods inherited from class Object

`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DnaAndQualitySequenceWithId

public DnaAndQualitySequenceWithId(String seqStr)

### DnaAndQualitySequenceWithId

public DnaAndQualitySequenceWithId(String seqStr, String qualityStr, org.biojava.nbio.genome.io.fastq.FastqVariant type)

## Method Details

### empty

public static DnaAndQualitySequenceWithId empty()

### getId

public long getId()

### readDataStream

protected void readDataStream(DataInputStream dataInStream) throws IOException
Read data in binary format

Overrides:
  `readDataStream` in class `DnaAndQualitySequence`
Parameters:
  `dataOutStream` -
Throws:
  `IOException`

### write

public void write(DataOutputStream dataOutStream) throws IOException
Write data in binary format

Overrides:
  `write` in class `DnaAndQualitySequence`
Parameters:
  `dataOutStream` -
Throws:
  `IOException`